Subject: [CCAMP] Comments on draft-zhang-ccamp-flexible-grid-ospf-ext-02

From: "Margaria, Cyril (Coriant - DE/Munich)" <[email-masked]>
Date: Wed, 31 Jul 2013 12:09:14 +0000

Hi, 

I have the following comments for  draft-zhang-ccamp-flexible-grid-ospf-ext-02:
1) section 3.1: last paragraph : the section to reference is 5.8 I believe
2) section 3.1: The requirement to flood non-overlapping available frequency ranges do not appear in the framework, and in my opinion is an unnecessary requirement limiting the information advertized, especially considering bundling.
3) section 4.1 : draft-ietf-ccamp-wson-signal-compatibility-ospf-11 defines the LV for WSON, from the framework this is another ISCD, so the mapping should be defined and the number of TLVs to be present should also be defined and recommendation presented
4) section 4.1.3 : the relation with the m of the base label is missing.
5) section 4.2: min width and max width could be flooded as 2 available label TLVs, can't those attributes be deduced from the available labels? This would allow nodes not to support the connectivity matrix, only the label part.
6) a new OSPF switching capability should be defined, similar to section 6 of draft-ietf-ccamp-wson-signal-compatibility-ospf-11
7) There is no consideration on bundling in the document, I think this is missing.
8) The document is considering only the flexible grid granularity, for Flexigrid-compatible old nodes (with fixed grid), this seems not addressed. There is a comparison to fixed grid description, but they are not considered in the context of Flexigrid switching.  Adding the grid type would be useful, and may allow to consider n,m in step of 0.5 (for now) and maybe allow other grid (yet keeping the different switching introduced by Flexigrid).

Overall the Flexigrid specific aspects could be covered better, especially considering the fixed grid.

Best Regards/ Mit freundlichen Grüßen
Cyril Margaria

SW Architect
ON RD SW Net2 2 DE

St.-Martin-Str. 76
81541 München
Tel: +49 89 5159 16934
Mob: +49 176 24036175
Fax: +49 89 5159 44 16934

[email-masked]
http://www.coriant.com

Coriant R&D GmbH
Geschäftsleitung / Board of Directors: Robert Richter, Rolf Nauerz 
Sitz der Gesellschaft: München / Registered office: Munich
Registergericht: München / Commercial registry: Munich, HRB 197143